#include <iostream>

using namespace std;

int main()
{
    long long int n;
    long long int m;
    cin >> n;
    cin >> m;
    int sum = 0;
    sum += n*2 + ((m - 2) * 2);
    
    int g = 1;
    for (int i = 1; i < n - 1; i++){
        for (int s = 1; s < m - 1; s++){
            if (g % 2 == 0){
                sum++;
            }
            g++;
        }
    }
    cout << sum;
}